Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.ui
Interface JPropertiesEditor

All Known Implementing Classes:
  IDEPreferencesDialog, JPreferencesDialog

    public interface JPropertiesEditor

An interface for editing properties. Remember to mark properties that cannot be edited in the property manager, otherwise such preperties will be emptied.

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `getPropertiesFromComponents(boolean fire)` As above, but works on the property manager's properties.
`void` | `getPropertiesFromComponents(java.util.Properties props, boolean fire)` Looks up the current (new) values of the properties in the editor's components and puts them into the given properties object.
`java.lang.String` | `getPropertyFromComponent(java.lang.String key, java.util.List components)`
`void` | `localCommandClicked(java.lang.String command)` for buttons etc within the panel
`void` | `makeComponents()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`boolean` | `setComponentFromProperty(java.lang.String key, java.util.List components, java.lang.String val)` Sets the given dialog components for the given key with the value.
`void` | `setComponentsFromProperties(java.util.Properties props)` Looks up the current (old?)
`void` | `show()` Show the editor so that the properties can be edited.

Method Detail

### show

    void show()

  Show the editor so that the properties can be edited. This should make sure that the current property values are shown in the window's components.

### setComponentsFromProperties

    void setComponentsFromProperties(java.util.Properties props)

  Looks up the current (old?) values of the given properties and set the editor's components to the property values.

### getPropertiesFromComponents

    void getPropertiesFromComponents(java.util.Properties props,
                                     boolean fire)

  Looks up the current (new) values of the properties in the editor's components and puts them into the given properties object. Only fires changes if the given fire flag is set.

### getPropertiesFromComponents

    void getPropertiesFromComponents(boolean fire)

  As above, but works on the property manager's properties.

### makeComponents

    void makeComponents()

### setComponentFromProperty

    boolean setComponentFromProperty(java.lang.String key,
                                     java.util.List components,
                                     java.lang.String val)

  Sets the given dialog components for the given key with the value.

  Returns:
    true if there are components to be set, false otherwise.

### getPropertyFromComponent

    java.lang.String getPropertyFromComponent(java.lang.String key,
                                              java.util.List components)

### localCommandClicked

    void localCommandClicked(java.lang.String command)

  for buttons etc within the panel

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD